Skip to main content
`Ctrl`+`K`

# imageio.v2.mimwrite

imageio.v2.mimwrite(uri, ims, format=None, **kwargs)

  Write multiple images to the specified file.

  Parameters:
    uri{str, pathlib.Path, file}

      The resource to write the images to, e.g. a filename, pathlib.Path or file object, see the docs for more info.

    ims sequence of numpy arrays

      The image data. Each array must be NxM, NxMx3 or NxMx4.

    format str

      The format to use to read the file. By default imageio selects the appropriate for you based on the filename and its contents.

    kwargs…

      Further keyword arguments are passed to the writer. See `help()` to see what arguments are available for a particular format.